=== debian/changelog ===
elkcode (2.1.25-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/rules: Disable parallel builds to fix FTBFS (closes: #720837).
    (override_dh_install): Rename binary to elk-lapw (closes: #720044).
  * debian/patches/makeflags.patch: Adjusted.
    - Use dpkg-buildflags to get the flags and enable hardening.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Tue, 27 Aug 2013 22:50:04 +0200

elkcode (2.1.25-1) unstable; urgency=low

  [ Daniel Leidert ]
  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.4.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (DM-Upload-Allowed): Dropped.
    (Standards-Version): Bumped to 3.9.4.
  * debian/copyright: Fixed format.
  * debian/elk-lapw.doc-base: Added.
  * debian/elk-lapw.docs: Removed release notes.
  * debian/elk-lapw.install: Added.
  * debian/rules: Enabled parallel build. Rename Perl script. Install release
    notes as upstream changelog.
    (override_dh_auto_install): Dropped and used elk-lapw.install instead.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 17 Aug 2013 21:32:52 +0200

elkcode (1.4.22-1) unstable; urgency=low

  * Initial release (Closes: #706538).

 -- Michael Banck <mbanck@debian.org>  Thu, 11 Jul 2013 22:18:34 +0200
