=== debian/control ===
Source: elkcode
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 8),
               gfortran,
               libblas-dev,
               liblapack-dev
Standards-Version: 3.9.4
Homepage: http://elk.sourceforge.net
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elkcode/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/elkcode/

Package: elk-lapw
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnuplot
Description: All-Electron Density-Functional Electronic Structure Code
 Elk is an all-electron full-potential linearised augmented-plane wave
 (FP-LAPW) code. By not including pseudo-potentials, Elk can provide very
 reliable high-precision results and works for every chemical element. Features
 include:
 .
  * FP-LAPW basis with local-orbitals
  * APW radial derivative matching to arbitrary orders at muffin-tin surface
    (super-LAPW, etc.)
  * Arbitrary number of local-orbitals allowed (all core states can be made
    valence for example)
  * Total energies resolved into components
  * LSDA and GGA functionals available
  * Isolated molecules or periodic systems
  * Core states treated with the radial Dirac equation
 .
 Elk is parallelized via OpenMP.
