=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

EXAMPLEDIR=debian/elk-lapw/usr/share/doc/elk-lapw/examples

%:
	dh $@

override_dh_installexamples:
	for i in tests/test-*; do                                    		\
	  mkdir -p $(EXAMPLEDIR)/`echo $$i | sed s/tests.test-0/example-/`; 	\
	  cp $$i/elk.in $(EXAMPLEDIR)/`echo $$i | sed s/tests.test-0/example-/`;\
	done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	(cd tests; sh ./tests_quick.sh)
	for i in tests/test-*/test.log; do	\
	  if [ -e $$i ]; then			\
	    echo "Error for test $$i:";		\
	    sed -n -e '/^Error/,$$p' $$i;	\
	  fi					\
	done
endif

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/elk-lapw/usr/bin/xps_exc.pl \
	   $(CURDIR)/debian/elk-lapw/usr/bin/xps_exc
	mv $(CURDIR)/debian/elk-lapw/usr/bin/elk \
	   $(CURDIR)/debian/elk-lapw/usr/bin/elk-lapw #bug #720044

override_dh_installchangelogs:
	dh_installchangelogs release_notes.txt

.NOTPARALLEL:
