## elkcode 2.2.5

=== src/Makefile ===
--- 
+++ 
@@ -41,8 +41,8 @@
 
 # subroutines and functions
 SRC_routines = \
- findprimcell.f90 findsym.f90 findsymcrys.f90 genppts.f90 rfinp.f90 \
- rvfcross.f90 seceqn.f90 symrf.f90 symrfir.f90 wavefmt.f90 force.f90 \
+ findprimcell.f90 symmetry.f90 findsym.f90 findsymcrys.f90 genppts.f90 \
+ rfinp.f90 rvfcross.f90 seceqn.f90 symrf.f90 symrfir.f90 wavefmt.f90 force.f90 \
  elfplot.f90 rhonorm.f90 energy.f90 gensdmat.f90 zpotclmt.f90 writegeom.f90 \
  nfftifc.f90 zfftifc.f90 allatoms.f90 gridsize.f90 potks.f90 bfieldks.f90 \
  genrmesh.f90 readfermi.f90 potcoul.f90 gensfacgp.f90 checkmt.f90 zfinp.f90 \
@@ -74,11 +74,13 @@
  ggair_2b.f90 ggamt_sp_2a.f90 ggair_sp_2a.f90 ggamt_sp_2b.f90 ggair_sp_2b.f90 \
  writeqpts.f90 potefield.f90 findswidth.f90 wfcrplot.f90 zftrf.f90 zftzf.f90 \
  sfacrho.f90 sfacmag.f90 sfacinit.f90 findqpt.f90 seceqnfvz.f90 seceqnfvr.f90 \
- genpmat.f90 writepmat.f90 getpmat.f90 geomopt.f90 geomstep.f90 nesting.f90 \
+ genpmat.f90 writepmat.f90 getpmat.f90 geomopt.f90 atpstep.f90 nesting.f90 \
  gentau.f90 xc_c_tb09.f90 mtdmin.f90 writeemd.f90 compton.f90 \
  genevfsv.f90 gentauk.f90 gentaucr.f90 ssfext.f90 sstask.f90 spiralsc.f90 \
  genscss.f90 findscq.f90 init4.f90 genhvec.f90 addlorbcnd.f90 nuclei.f90 \
- gradzf.f90
+ gradzf.f90 rfmtsm.f90 rhomagsm.f90 genstress.f90 writestress.f90 latvstep.f90 \
+ zbsht.f90 zfsht.f90 zfmtadd.f90 rbsht.f90 rfsht.f90 mae.f90 symmat.f90 \
+ genstrain.f90
 
 SRC_phonon = \
  phononsc.f90 dyntask.f90 genscph.f90 phdisp.f90 readdyn.f90 dynqtor.f90 \
