=== debian/changelog ===
elkcode (2.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 20 Oct 2013 22:23:47 +0200

elkcode (2.2.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added libxc-dev, mpi-default-dev and
    pkg-config.
  * debian/copyright: Added copyright note about elk-bands.
  * debian/elk-bands.1: Added.
  * debian/elk-lapw.1: Ditto.
  * debian/elk-lapw.manpages: Ditto.
  * debian/patches/makefile_clean.patch: Merged into makeflags.patch.
  * debian/patches/skip_blas_lapack.patch: Ditto.
  * debian/patches/makeflags.patch: Extended.
    - Merged contents of debian/patches/makefile_clean.patch.
    - Merged contents of debian/patches/skip_blas_lapack.patch.
    - Enabled MPI support (use mpif90 and mpif77 instead of gfortran).
    - Enabled support for libxc.
  * debian/patches/series: Adjusted.

  [ Michael Banck ]
  * debian/control (Build-Depends): Added mpi-default-bin. 
  * debian/elk-lpaw.examples: New file, install the upstream examples directory
    instead of the testsuite input files.
  * debian/rules (override_dh_installexamples): Removed.
  * debian/rules (override_dh_auto_test): Set OMPI_MCA_orte_rsh_agent
    environment variable to make test suite run in a chroot without
    warnings/errors from OpenMPI.

 -- Michael Banck <mbanck@debian.org>  Mon, 23 Sep 2013 17:25:45 +0200
