=== debian/control ===
--- 
+++ 
@@ -6,7 +6,11 @@
 Build-Depends: debhelper (>= 8),
                gfortran,
                libblas-dev,
-               liblapack-dev
+               liblapack-dev,
+               libxc-dev,
+               mpi-default-bin,
+               mpi-default-dev,
+               pkg-config
 Standards-Version: 3.9.4
 Homepage: http://elk.sourceforge.net
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elkcode/
