=== src/fftlib/Makefile ===

AR = ar

include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix Rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# File dependencies
#-------------------------------------------------------------------------------
SRC = cfftnd.f90
OBJ = $(SRC:.f90=.o)

fftlib:	$(OBJ)
	$(AR) -rc fftlib.a $(OBJ)

clean:
	rm -f *.o *.mod *~ *.a ifc* *.gcno
