=== src/spacegroup/Makefile ===
--- 
+++ 
@@ -16,11 +16,10 @@
 SRC_main = main.f90
 
 SRC_routines = readinput.f90 gencrystal.f90 sgsymb.f90 seitzgen.f90 \
- gengroup.f90 seitzeq.f90 seitzmul.f90 writegeom.f90 geomplot.f90
+ gengroup.f90 seitzeq.f90 seitzmul.f90 writegeom.f90 geomplot.f90 \
+ findprimcell.f90 r3frac.f90 r3mv.f90 r3cross.f90 r3minv.f90 r3mm.f90
 
-SRC_lib = findprimcell.f90 r3frac.f90 r3mv.f90 r3cross.f90 r3minv.f90 r3mm.f90
-
-SRC = $(SRC_modules) $(SRC_main) $(SRC_routines) $(SRC_lib)
+SRC = $(SRC_modules) $(SRC_main) $(SRC_routines)
 
 OBJ = $(SRC:.f90=.o)
 EXE = spacegroup
@@ -32,11 +31,7 @@
 	rm -f *.o *.mod *~ fort.* ifc* *.gcno *.OUT *.xsf *.ascii gmon.out \
          *.aux *.dvi *.log *.pdf *.tex *.toc $(EXE)
 
-copy:
-	cd ..;cp $(SRC_lib) spacegroup
-
 doc:
-	../protex -s $(SRC_main) $(SRC_modules) $(SRC_routines) $(SRC_lib) \
-         > spacegroup.tex
+	../protex -s $(SRC_main) $(SRC_modules) $(SRC_routines) > spacegroup.tex
 	pdflatex spacegroup;pdflatex spacegroup;pdflatex spacegroup
