=== debian/changelog ===
elkcode (2.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.5.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 15 Dec 2013 20:40:07 +0100
