=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                mpi-default-bin,
                mpi-default-dev,
                pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://elk.sourceforge.net
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elkcode/
 Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/elkcode/
