=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,9 @@
 %:
 	dh $@
 
-override_dh_installexamples:
-	for i in tests/test-*; do                                    		\
-	  mkdir -p $(EXAMPLEDIR)/`echo $$i | sed s/tests.test-0/example-/`; 	\
-	  cp $$i/elk.in $(EXAMPLEDIR)/`echo $$i | sed s/tests.test-0/example-/`;\
-	done
-
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	(cd tests; sh ./tests_quick.sh)
+	(cd tests; OMPI_MCA_orte_rsh_agent=/bin/false sh ./tests_quick.sh)
 	for i in tests/test-*/test.log; do	\
 	  if [ -e $$i ]; then			\
 	    echo "Error for test $$i:";		\
