=== src/spacegroup/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 include ../../make.inc
 
 #-------------------------------------------------------------------------------
