=== debian/changelog ===
elkcode (2.3.22-1build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:47:17 +0000

elkcode (2.3.22-1build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:26:10 +0000

elkcode (2.3.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/makeflags.patch: Split out clean-target specific hunks in
    Makefiles into ...
  * debian/patches/makefile_clean.patch: ... this new patch.
  * debian/rules (override_dh_auto_build): New target, build the TeX-based
    PDF-manuals as well.
  * debian/control (Build-Depends): Added texlive-latex-base.
  * debian/patches/makefile_clean.patch: Clean elk.out and elk.lst (generated
    during PDF build) as well.
  * debian/elk-lapw.docs: Install built PDF files from under src/, not the the
    shipped ones from docs/.
  * debian/patches/makeflags.patch: Updated and refreshed.
  * debian/patches/testsuite_quick.patch: Added test case #18.
  * debian/patches/elk.fftw3.zfftifc.f90.patch: Removed, no longer needed.
  * debian/patches/makefile_clean.patch: Refreshed.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Oct 2014 23:36:38 +0100

elkcode (2.2.10-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added libfftw3-dev.
  * debian/copyright: Minor update.
  * debian/patches/elk.fftw3.zfftifc.f90.patch: Added (taken from Fedora).
    - Compile with FFTW3.
  * debian/patches/makeflags.patch: Adjusted.
    - Build with FFTW3 and exclude all internal copies from compilation.
  * debian/patches/series: Adjusted.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Fri, 21 Feb 2014 00:41:22 +0100
