=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
 Build-Depends: debhelper (>= 8),
                gfortran,
                libblas-dev,
+               libfftw3-dev,
                liblapack-dev,
                libxc-dev,
                mpi-default-bin,
                mpi-default-dev,
-               pkg-config
+               pkg-config,
+               texlive-latex-base
 Standards-Version: 3.9.5
 Homepage: http://elk.sourceforge.net
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elkcode/
